Documentation Index
Fetch the complete documentation index at: https://docs.apigo.ai/llms.txt
Use this file to discover all available pages before exploring further.
이것을 언제 사용하는가
generationConfig, thinkingConfig 또는 양식 설정을 전달해야 합니다.
- 통합 레이어는 Google 관련 기능을 계속 유지해야 합니다.
Example
{
"model": "gemini-2.5-flash",
"contents": [
{
"role": "user",
"parts": [{ "text": "Summarize this report." }]
}
],
"model_extra": {
"generationConfig": {
"thinkingConfig": { "thinkingBudget": 512 },
"responseMimeType": "application/json"
}
}
}
cURL 예
curl "https://maas.apigo.ai/v1beta/models/gemini-2.5-flash:generateContent" \
-H "Authorization: Bearer $YOUR API KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "gemini-2.5-flash",
"contents": [
{
"role": "user",
"parts": [{ "text": "Summarize this report." }]
}
],
"model_extra": {
"generationConfig": {
"thinkingConfig": { "thinkingBudget": 512 },
"responseMimeType": "application/json"
}
}
}'
파이썬 예제
import requests
response = requests.post(
"https://maas.apigo.ai/v1beta/models/gemini-2.5-flash:generateContent",
headers={
"Authorization": "Bearer <YOUR API KEY>",
"Content-Type": "application/json",
},
json={
"model": "gemini-2.5-flash",
"contents": [
{
"role": "user",
"parts": [{"text": "Summarize this report."}],
}
],
"model_extra": {
"generationConfig": {
"thinkingConfig": {"thinkingBudget": 512},
"responseMimeType": "application/json",
}
},
},
)
print(response.json())
Node.js 예
const response = await fetch(
"https://maas.apigo.ai/v1beta/models/gemini-2.5-flash:generateContent",
{
method: "POST",
headers: {
Authorization: `Bearer ${process.env.YOUR API KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
model: "gemini-2.5-flash",
contents: [
{
role: "user",
parts: [{ text: "Summarize this report." }]
}
],
model_extra: {
generationConfig: {
thinkingConfig: { thinkingBudget: 512 },
responseMimeType: "application/json"
}
}
}),
}
);
console.log(await response.json());
모범 사례
- 통과하기 전에 중첩된 구성 개체를 확인하세요.
- 회귀 추적을 위해 모델 이름과 확장 매개변수를 모두 기록합니다.